"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const internal_1 = require("../../internal");
function setBlendMode(layer, blendMode) {
    if (!blendMode)
        blendMode = "normal";
    layer._debug(`Setting blend mode to ${blendMode}`);
    if (!internal_1.BLEND_MODES.includes(blendMode))
        throw new Error("Invalid blend mode");
    layer.blendMode = blendMode;
    return layer;
}
exports.default = setBlendMode;
