"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const internal_1 = require("../../internal");
const ellipseSVG_1 = __importDefault(require("./ellipseSVG"));
class Ellipse extends internal_1.ShapeLayer {
    constructor(ellipseData, document) {
        super(ellipseData, document);
        this.type = internal_1.LAYER_TYPE_ELLIPSE;
    }
    static ellipseSVG(ellipseShapeData) {
        return ellipseSVG_1.default(ellipseShapeData);
    }
    toSVG() {
        return Ellipse.ellipseSVG(this);
    }
    static ellipseBuffer(ellipseShapeData) {
        const svgCode = Ellipse.ellipseSVG(ellipseShapeData);
        return Buffer.from(svgCode);
    }
    toBuffer() {
        return Ellipse.ellipseBuffer(this);
    }
}
exports.default = Ellipse;
