"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const sharp_1 = __importDefault(require("sharp"));
const internal_1 = require("../../internal");
const setImage_1 = __importDefault(require("./setImage"));
class Layer extends internal_1.BaseLayer {
    constructor(layerData, document) {
        super(layerData, document);
        if ((typeof layerData.image === "string") && (layerData.image.trim().startsWith("<svg")))
            this.image = Buffer.from(layerData.image);
        else
            this.image = layerData.image;
        this._svg = Boolean(typeof layerData.image === "string" && layerData.image.trim().startsWith("<svg"));
        this.type = internal_1.LAYER_TYPE_LAYER;
        this._initialize = new Promise(async (resolve) => {
            const canvas = sharp_1.default(this.image);
            const metadata = await canvas.metadata();
            this.width = metadata.width || 0;
            this.height = metadata.height || 0;
            resolve();
        });
    }
    setImage(image) {
        return setImage_1.default(this, image);
    }
}
exports.default = Layer;
