"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const sharp_1 = __importDefault(require("sharp"));
async function setImage(layer, image) {
    layer._debug("Setting image");
    if ((typeof image === "string") && (image.trim().startsWith("<svg")))
        layer.image = Buffer.from(image);
    else
        layer.image = image;
    layer._svg = Boolean(typeof image === "string" && image.trim().startsWith("<svg"));
    const canvas = sharp_1.default(layer.image);
    const metadata = await canvas.metadata();
    layer.width = metadata.width || 0;
    layer.height = metadata.height || 0;
    return layer;
}
exports.default = setImage;
