"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const internal_1 = require("../../internal");
const polygonSVG_1 = __importDefault(require("./polygonSVG"));
const setSides_1 = __importDefault(require("./setSides"));
class Polygon extends internal_1.ShapeLayer {
    constructor(polygonData, document) {
        super(polygonData, document);
        this.type = internal_1.LAYER_TYPE_POLYGON;
        this.sides = polygonData.shape.sides;
    }
    setSides(sides) {
        return setSides_1.default(this, sides);
    }
    static polygonSVG(polygonShapeData) {
        return polygonSVG_1.default(polygonShapeData);
    }
    toSVG() {
        return Polygon.polygonSVG(this);
    }
    static polygonBuffer(polygonShapeData) {
        const svgCode = Polygon.polygonSVG(polygonShapeData);
        return Buffer.from(svgCode);
    }
    toBuffer() {
        return Polygon.polygonBuffer(this);
    }
}
exports.default = Polygon;
