import { Color } from "../../color";
import { BaseLayer, BaseLayerData, Document, LAYER_TYPE_ELLIPSE, LAYER_TYPE_POLYGON } from "../../internal";
export declare type ShapeLayerType = typeof LAYER_TYPE_POLYGON | typeof LAYER_TYPE_ELLIPSE;
export interface ShapeData {
    width: number;
    height: number;
    fill?: Color;
    stroke?: Color;
    strokeWidth?: number;
}
export interface ShapeLayerData extends BaseLayerData {
    shape: ShapeData;
}
export default class ShapeLayer extends BaseLayer {
    type: ShapeLayerType;
    width: number;
    height: number;
    fill?: string;
    stroke?: string;
    strokeWidth?: number;
    constructor(shapeLayerData: ShapeLayerData, document?: Document);
    setWidth(width: number): ShapeLayer;
    setHeight(height: number): ShapeLayer;
    setFill(fill?: Color): ShapeLayer;
    setStroke(stroke?: Color): ShapeLayer;
    setStrokeWidth(strokeWidth?: number): ShapeLayer;
}
