/// <reference types="node" />
import { Color } from "../../color";
import { BaseLayer, BaseLayerData, Document, LAYER_TYPE_TEXT } from "../../internal";
export declare const DEFAULT_FONT_SIZE = 24;
export interface TextData {
    text: string;
    font?: string;
    fontSize?: number;
    fontWeight?: string;
    color?: Color;
    maxWidth?: number;
}
export interface TextLayerData extends BaseLayerData {
    text: TextData;
}
export default class TextLayer extends BaseLayer {
    type: typeof LAYER_TYPE_TEXT;
    text: string;
    font?: string;
    fontSize: number;
    fontWeight?: string;
    color: string;
    maxWidth: number;
    constructor(textLayerData: TextLayerData, document?: Document);
    setText(text: string): TextLayer;
    setFont(font?: string): TextLayer;
    setFontSize(fontSize?: number): TextLayer;
    setFontWeight(fontWeight?: string): TextLayer;
    setColor(color?: Color): TextLayer;
    setMaxWidth(maxWidth?: number): TextLayer;
    static textBuffer(textData: TextData): Promise<Buffer>;
    toBuffer(): Promise<Buffer>;
}
