"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.DEFAULT_FONT_SIZE = void 0;
const color_1 = require("../../color");
const internal_1 = require("../../internal");
const setColor_1 = __importDefault(require("./setColor"));
const setFont_1 = __importDefault(require("./setFont"));
const setFontSize_1 = __importDefault(require("./setFontSize"));
const setFontWeight_1 = __importDefault(require("./setFontWeight"));
const setMaxWidth_1 = __importDefault(require("./setMaxWidth"));
const setText_1 = __importDefault(require("./setText"));
const textBuffer_1 = __importDefault(require("./textBuffer"));
exports.DEFAULT_FONT_SIZE = 24;
class TextLayer extends internal_1.BaseLayer {
    constructor(textLayerData, document) {
        super(textLayerData, document);
        this.type = internal_1.LAYER_TYPE_TEXT;
        this.text = textLayerData.text.text;
        this.font = textLayerData.text.font;
        this.fontSize = textLayerData.text.fontSize || exports.DEFAULT_FONT_SIZE;
        this.fontWeight = textLayerData.text.fontWeight;
        this.color = color_1.parseColor(textLayerData.text.color || "#000000");
        this.maxWidth = textLayerData.text.maxWidth || document?.width || 400;
    }
    setText(text) {
        return setText_1.default(this, text);
    }
    setFont(font) {
        return setFont_1.default(this, font);
    }
    setFontSize(fontSize) {
        return setFontSize_1.default(this, fontSize);
    }
    setFontWeight(fontWeight) {
        return setFontWeight_1.default(this, fontWeight);
    }
    setColor(color) {
        return setColor_1.default(this, color);
    }
    setMaxWidth(maxWidth) {
        return setMaxWidth_1.default(this, maxWidth);
    }
    static textBuffer(textData) {
        return textBuffer_1.default(textData);
    }
    toBuffer() {
        return TextLayer.textBuffer(this);
    }
}
exports.default = TextLayer;
