"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const sharp_1 = __importDefault(require("sharp"));
const color_1 = require("../../color");
const internal_1 = require("../../internal");
async function textBuffer(textData) {
    if (!textData.fontSize)
        textData.fontSize = internal_1.DEFAULT_FONT_SIZE;
    textData.color = color_1.parseColor(textData.color || "#000000");
    if (!textData.maxWidth)
        textData.maxWidth = 400;
    const svgCode = `
        <svg viewBox="0 0 ${textData.maxWidth} ${textData.fontSize * 1.5}" xmlns="http://www.w3.org/2000/svg">
            <text y="${textData.fontSize}"${textData.font ? ` font-family="${textData.font}"` : ""} font-size="${textData.fontSize}px"${textData.fontWeight ? ` font-weight="${textData.fontWeight}"` : ""} fill="${textData.color}">${textData.text}</text>
        </svg>
    `;
    const image = Buffer.from(svgCode);
    const buffer = await sharp_1.default(image)
        .trim()
        .toFormat("png")
        .toBuffer();
    return buffer;
}
exports.default = textBuffer;
